GrailsHttpSession (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class GrailsHttpSession

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.GrailsHttpSession

All Implemented Interfaces:
  javax.servlet.http.HttpSession

    public class GrailsHttpSession
    extends java.lang.Object

An adapter class that takes a regular HttpSession and allows you to access it like a Groovy map.

Authors:
  Graeme Rocher

Since:
  0.4

Constructor Summary
`GrailsHttpSession(javax.servlet.http.HttpServletRequest request)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`long` | `getCreationTime()`
`java.lang.String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSessionContext` | `getSessionContext()` @deprecated See Also: javax.servlet.http.HttpSession#getSessionContext()
`java.lang.Object` | `getValue(java.lang.String name)` @deprecated See Also: javax.servlet.http.HttpSession#getValue(java.lang.String)
`java.lang.String[]` | `getValueNames()` @deprecated See Also: javax.servlet.http.HttpSession#getValueNames()
`void` | `invalidate()`
`boolean` | `isNew()`
`void` | `putValue(java.lang.String name, java.lang.Object value)` @deprecated See Also: javax.servlet.http.HttpSession#putValue(java.lang.String, java.lang.Object)
`void` | `removeAttribute(java.lang.String name)`
`void` | `removeValue(java.lang.String name)` @deprecated See Also: javax.servlet.http.HttpSession#removeValue(java.lang.String)
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setMaxInactiveInterval(int arg0)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsHttpSession

    public GrailsHttpSession(javax.servlet.http.HttpServletRequest request)

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### getAttributeNames

    @java.lang.SuppressWarnings({ "rawtypes", "unchecked" })
    public java.util.Enumeration getAttributeNames()

### getCreationTime

    public long getCreationTime()

### getId

    public java.lang.String getId()

### getLastAccessedTime

    public long getLastAccessedTime()

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### getSessionContext

    @java.lang.Deprecated
    public javax.servlet.http.HttpSessionContext getSessionContext()

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#getSessionContext()

### getValue

    @java.lang.Deprecated
    public java.lang.Object getValue(java.lang.String name)

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#getValue(java.lang.String)

### getValueNames

    @java.lang.Deprecated
    public java.lang.String[] getValueNames()

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#getValueNames()

### invalidate

    public void invalidate()

### isNew

    public boolean isNew()

### putValue

    @java.lang.Deprecated
    public void putValue(java.lang.String name, java.lang.Object value)

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#putValue(java.lang.String, java.lang.Object)

### removeAttribute

    public void removeAttribute(java.lang.String name)

### removeValue

    @java.lang.Deprecated
    public void removeValue(java.lang.String name)

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#removeValue(java.lang.String)

### setAttribute

    public void setAttribute(java.lang.String name, java.lang.Object value)

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int arg0)

### toString

    @java.lang.SuppressWarnings("rawtypes")
    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation